[project]
name = "nanoshare"
version = "1.21.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "aiohttp==3.13.3",
    "aiologger==0.7.0",
    "convex==0.7.0",
    "flask-limiter==4.1.1",
    "httpx==0.28.1",
    "hypercorn==0.18.0",
    "joserfc>=1.6.5",
    "python-dotenv==1.2.2",
    "quart==0.20.0",
    "quart-flask-patch==0.3.0",
    "quart-session",
    "redis==7.4.0",
]

[tool.pytest.ini_options]
testpaths = [
    "tests",
    "quart_common/tests",
]

[tool.uv.workspace]
members = [
    "quart-session",
]

[tool.uv.sources]
quart-session = { workspace = true }
